From a79f9cd88ada2554b6a8e0c8b52fd156e8d89319 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Sep 28 2017 17:35:08 +0000
Subject: [PATCH 949/1001] Make auth and user change more robust


---

diff --git a/hubs/app.py b/hubs/app.py
index 8974ae4..56173d1 100644
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -71,8 +71,8 @@ def check_auth():
         # request.
         user_sub = OIDC.user_getfield("sub")
         if ("auth" not in flask.session
-            or not flask.session["auth"]
-            or flask.session["auth"]["sub"] != user_sub):
+                or not flask.session["auth"]
+                or flask.session["auth"].get("sub") != user_sub):
             user_info = OIDC.user_getinfo([
                 "name", "nickname", "sub", "email", "zoneinfo", "cla",
                 "groups",
diff --git a/hubs/tests/test_authn.py b/hubs/tests/test_authn.py
index 350edf3..1ff17c1 100644
--- a/hubs/tests/test_authn.py
+++ b/hubs/tests/test_authn.py
@@ -3,7 +3,7 @@ from __future__ import absolute_import, unicode_literals
 import flask
 
 import hubs.app
-from hubs.tests import APPTest, FakeAuthorization
+from hubs.tests import APPTest
 
 
 class AuthnTestCase(APPTest):
@@ -23,7 +23,6 @@ class AuthnTestCase(APPTest):
 
     def test_expired_auth(self):
         # Previous user is still in the session
- 
         flask.session["auth"] = dict(
             nickname="olduser",
             name="olduser",

